# xarray.ufuncs.copysign

`xarray.ufuncs.``copysign` = <xarray.ufuncs._UFuncDispatcher object>

  xarray specific variant of numpy.copysign. Handles xarray.Dataset, xarray.DataArray, xarray.Variable, numpy.ndarray and dask.array.Array objects with automatic dispatching.

  Documentation from numpy:

  copysign(x1, x2, /, out=None, *, where=True, casting=’same_kind’, order=’K’, dtype=None, subok=True[, signature, extobj])

  Change the sign of x1 to that of x2, element-wise.

  If both arguments are arrays or sequences, they have to be of the same length. If x2 is a scalar, its sign will be copied to all elements of x1.

  Parameters:

  x1 : array_like

  > Values to change the sign of.

  x2 : array_like

  > The sign of x2 is copied to x1.

  out : ndarray, None, or tuple of ndarray and None, optional

  > A location into which the result is stored. If provided, it must have a shape that the inputs broadcast to. If not provided or None, a freshly-allocated array is returned. A tuple (possible only as a keyword argument) must have length equal to the number of outputs.

  where : array_like, optional

  > Values of True indicate to calculate the ufunc at that position, values of False indicate to leave the value in the output alone.

  **kwargs

  > For other keyword-only arguments, see the ufunc docs.

  Returns:

  out : array_like

  > The values of x1 with the sign of x2.

  Examples

      >>> np.copysign(1.3, -1)
      -1.3
      >>> 1/np.copysign(0, 1)
      inf
      >>> 1/np.copysign(0, -1)
      -inf

      >>> np.copysign([-1, 0, 1], -1.1)
      array([-1., -0., -1.])
      >>> np.copysign([-1, 0, 1], np.arange(3)-1)
      array([-1.,  0.,  1.])